Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface XMLEntityCacheMBean

public interface XMLEntityCacheMBean
extends ConfigurationMBean

Configure the behavior of JAXP (Java API for XML Parsing) in the server.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`int` | `getCacheDiskSize()` Return the disk size in MBytes of the cache.
`java.lang.String` | `getCacheLocation()` Return the path name of the persistent cache files.
`int` | `getCacheMemorySize()` Return the memory size in KBytes of the cache.
`int` | `getCacheTimeoutInterval()` Return the default timeout interval in seconds for the cache.
`EntityCacheCurrentStateRuntimeMBean` | `getEntityCacheCurrentRuntime()` Return an MBean representing the runtime state of the cache.
`EntityCacheCumulativeRuntimeMBean` | `getEntityCacheHistoricalRuntime()` Return an MBean representing the runtime state of the cache.
`EntityCacheCumulativeRuntimeMBean` | `getEntityCacheSessionRuntime()` Return an MBean representing the runtime state of the cache.
`int` | `getMaxSize()`
`void` | `setCacheDiskSize(int cacheSize)` Set the disk size in MBytes of the cache.
`void` | `setCacheLocation(java.lang.String path)` Set ththe path name of the persistent cache files.
`void` | `setCacheMemorySize(int cacheSize)` Set the memory size in KBytes of the cache.
`void` | `setCacheTimeoutInterval(int interval)` Set the default timeout interval in seconds for the cache.
`void` | `setMaxSize(int size)` Sets the maxSize attribute of the XMLEntityCacheMBean object

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getCacheLocation

    public java.lang.String getCacheLocation()

  Return the path name of the persistent cache files.

  Default Value: "xmlcache"
  Returns:
    The cacheLocation value

### setCacheLocation

    public void setCacheLocation(java.lang.String path)
                          throws javax.management.InvalidAttributeValueException

  Set ththe path name of the persistent cache files.

  A dynamic MBean attribute
  Parameters:
    `path` - The new cacheLocation value
  Throws:
    javax.management.InvalidAttributeValueException -

### getCacheMemorySize

    public int getCacheMemorySize()

  Return the memory size in KBytes of the cache.

  Default Value: 500
  Legal Minimum Value: 0
  Returns:
    The cacheMemorySize value

### setCacheMemorySize

    public void setCacheMemorySize(int cacheSize)
                            throws javax.management.InvalidAttributeValueException

  Set the memory size in KBytes of the cache.

  A dynamic MBean attribute
  Parameters:
    `cacheSize` - The new cacheMemorySize value
  Throws:
    javax.management.InvalidAttributeValueException -

### getCacheDiskSize

    public int getCacheDiskSize()

  Return the disk size in MBytes of the cache.

  Default Value: 5
  Legal Minimum Value: 0
  Returns:
    The cacheDiskSize value

### setCacheDiskSize

    public void setCacheDiskSize(int cacheSize)
                          throws javax.management.InvalidAttributeValueException

  Set the disk size in MBytes of the cache.

  A dynamic MBean attribute
  Parameters:
    `cacheSize` - The new cacheDiskSize value
  Throws:
    javax.management.InvalidAttributeValueException -

### getCacheTimeoutInterval

    public int getCacheTimeoutInterval()

  Return the default timeout interval in seconds for the cache.

  Default Value: 120
  Legal Minimum Value: 0
  Returns:
    The cacheTimeoutInterval value

### setCacheTimeoutInterval

    public void setCacheTimeoutInterval(int interval)
                                 throws javax.management.InvalidAttributeValueException

  Set the default timeout interval in seconds for the cache.

  A dynamic MBean attribute
  Parameters:
    `interval` - The new cacheTimeoutInterval value
  Throws:
    javax.management.InvalidAttributeValueException -

### getEntityCacheCurrentRuntime

    public EntityCacheCurrentStateRuntimeMBean getEntityCacheCurrentRuntime()

  Return an MBean representing the runtime state of the cache. Return null if the given server is not running

  Returns:
    The entityCacheCurrentRuntime value

### getEntityCacheSessionRuntime

    public EntityCacheCumulativeRuntimeMBean getEntityCacheSessionRuntime()

  Return an MBean representing the runtime state of the cache. Return null if the given server is not running

  Returns:
    The entityCacheSessionRuntime value

### getEntityCacheHistoricalRuntime

    public EntityCacheCumulativeRuntimeMBean getEntityCacheHistoricalRuntime()

  Return an MBean representing the runtime state of the cache. Return null if the given server is not running

  Returns:
    The entityCacheHistoricalRuntime value

### getMaxSize

    public int getMaxSize()

  A dynamic MBean attribute
  Returns:
    The maxSize value

### setMaxSize

    public void setMaxSize(int size)

  Sets the maxSize attribute of the XMLEntityCacheMBean object

  Parameters:
    `size` - The new maxSize value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD